%define DISTRO %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+\\)\\( Linux release \\)\\(.\\+\\)\\( .\\+\\)/\\1 \\3/" /etc/redhat-release)
%define DISTRO_REL %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+ release \\)\\(.\\+\\)\\( .\\+\\)/\\2/" /etc/redhat-release)
%define REQ_RPM_REL %(rpm -q --queryformat "%{VERSION}" rpm)
%define GLIBC_REL %(rpm -q --queryformat "%{VERSION}" glibc)

%define build_rh7	1

%if %{build_rh7}
%define contentdir	/var/www/html/%{name}
%else
%define contentdir	/home/httpd/html/%{name}
%endif

Summary:   Multi Router Traffic Grapher
Name:      mrtg
Version:   2.9.22
Release:   2.%{DISTRO_REL}
URL:       http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/
Source0:   http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
Source1:   mrtg.cfg
Source2:   README-14allcgi
Source3:   14all.cgi
Copyright: distributable
Group:     Applications/Network
Requires:  perl >= 5.004
%if %{build_rh7}
Requires:  gd >= 1.8.3
%else
Requires:  gd <= 1.3.9
%endif

Buildroot: /tmp/%{name}-%{version}-root
Packager:  Gomez Henri <hgomez@users.sourceforge.net>, Tim Verhoeven <dj@sin.khk.be>

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF or PNG
images which provide a LIVE visual representation of this traffic. 

%prep
%setup -q

echo %{contentdir}
echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build
./configure
make

cd contrib
find . -type f -exec /usr/bin/perl -e 's/^#!\/.*/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/mrtg
mkdir -p ${RPM_BUILD_ROOT}%{contentdir}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/mrtg2/Pod
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -m 644 images/*   ${RPM_BUILD_ROOT}%{contentdir}
install -m 644 doc/*.html ${RPM_BUILD_ROOT}%{contentdir}
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/mrtg
perl -e 's|\@WORKDIR@|%{contentdir}|g' -pi ${RPM_BUILD_ROOT}/etc/mrtg/mrtg.cfg

install -m 644 %{SOURCE2} contrib/14all/README
install -m 755 %{SOURCE3} contrib/14all

for i in bin/mrtg bin/rateup bin/cfgmaker bin/indexmaker; do
  install -m 755 -c $i ${RPM_BUILD_ROOT}/usr/bin/
done

for i in lib/mrtg2/*.pm; do
	install -m 644 $i ${RPM_BUILD_ROOT}/usr/lib/mrtg2/
done

for i in lib/mrtg2/Pod/*.pm; do
	install -m 644 $i ${RPM_BUILD_ROOT}/usr/lib/mrtg2/Pod/
done

for i in doc/*.1; do
	install -m 644 $i ${RPM_BUILD_ROOT}%{_mandir}/man1/
done 

cp -rf translate ${RPM_BUILD_ROOT}/usr/lib/mrtg2

%post
if ! grep '* * * * root /usr/bin/mrtg' /etc/crontab > /dev/null; then
	echo "" >> /etc/crontab
	echo "0-59/5 * * * * root /usr/bin/mrtg /etc/mrtg/mrtg.cfg" >> /etc/crontab
fi

%postun
if [ $1 = 0 ]; then
	grep -v '* * * * root /usr/bin/mrtg' /etc/crontab > /etc/crontab.new
	mv /etc/crontab.new /etc/crontab
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc 			contrib/
%doc 			ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README 
%dir			/etc/mrtg
%dir			/usr/lib/mrtg2
%dir			%{contentdir}
%config(noreplace) 	/etc/mrtg/mrtg.cfg
%{contentdir}/*
/usr/bin/*
/usr/lib/mrtg2/*
%{_mandir}/man1/*

%changelog
* Mon Aug 26 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 2.9.22
- added translate directory

* Thu Aug 22 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 2.9.22

* Fri Jul 05 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 2.9.20

* Tue Jun 04 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 2.9.18

* Tue Jun 04 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 2.9.17

